Bug 239738 - factor out hardcoding of "clangXYZ" in devel/flang-clang
Summary: factor out hardcoding of "clangXYZ" in devel/flang-clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes M Dieterich
URL:
Keywords:
Depends on:
Blocks: 239736
  Show dependency treegraph
 
Reported: 2019-08-09 10:40 UTC by Mark Linimon
Modified: 2019-10-04 22:15 UTC (History)
0 users

See Also:
jmd: maintainer-feedback+


Attachments
patch to devel/flang-clang/Makefile (760 bytes, patch)
2019-08-09 10:40 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2019-08-09 10:40:50 UTC
Created attachment 206390 [details]
patch to devel/flang-clang/Makefile

There are a number of places in the ports tree where the string "clang<version" is called out.  When doing the work to identify stale versions of clang tree-wide, these instances cause extra work.

Refactor this usage into LLVM_VER.

Note: this refactoring causes portlint to complain but IMHO this complication is worth tolerating to help ease maintainability.

Tested on: amd64.
Comment 1 Johannes M Dieterich freebsd_committer 2019-08-20 03:09:38 UTC
LGTM
Comment 2 commit-hook freebsd_committer 2019-10-04 22:13:26 UTC
A commit references this bug:

Author: linimon
Date: Fri Oct  4 22:13:05 UTC 2019
New revision: 513787
URL: https://svnweb.freebsd.org/changeset/ports/513787

Log:
  Factor out hardcoding of the string "clang<version".  When doing the
  work to identify stale versions of clang tree-wide, these instances
  cause extra work.

  Refactor this usage into LLVM_VER.

  Note: this refactoring causes portlint to complain but IMHO this
  annoyance is worth tolerating to help ease maintainability.

  PR:		239737, 239738
  Approved by:	maintainer

Changes:
  head/devel/flang/Makefile
  head/devel/flang-clang/Makefile
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2019-10-04 22:13:36 UTC
Committed (along with 239737), thanks.